package cn.timer.api.dto.resumesdk;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 工作经历及实习经历
 * 其中实习经历通过job_nature="实习"进行标识
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022/4/22
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Job_exp_objs implements Serializable {
    /**
     * 职位
     */
    private String job_position;
    /**
     * 结束时间
     */
    private String end_date;
    /**
     * 工作内容
     */
    private String job_content;
    /**
     * 公司名称
     */
    private String job_cpy;
    /**
     * 行业名称
     */
    private String job_industry;
    /**
     * 公司规模
     */
    private String job_cpy_size;
    /**
     * 持续时间 比如“1年3个月”、“3年”、“6个月”
     */
    private String job_duration;
    /**
     * 开始时间
     */
    private String start_date;
    /**
     * 工作性质 全职、兼职、实习
     */
    private String job_nature;



}
