package cn.timer.api.dto.resumesdk;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2022/4/22
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Result implements Serializable {

    private String name;
    private String gender;
    private String age;
    private String marital_status;
    private String polit_status;
    private String major;
    private String surname;
    private String height;
    private String weight;
    private Date birthday;
    private String city_norm;
    private String college;
    private String college_type;
    private String college_rank;
    private String has_oversea_edu;
    private String has_oversea_exp;
    private String city;
    private String grad_time;
    private String degree;
    private String race;
    private String nationality;
    private String english_level;
    private String computer_level;
    private String work_position;
    private String work_company;
    private String work_industry;
    private String work_start_time;
    private String work_year_norm;
    private String work_year;
    private String work_job_nature;
    private String work_start_time_inf;
    private String phone;
    private String email;
    private String postal_code;
    private String qq;
    private String weixin;
    private String expect_salary;
    private String expect_salary_min;
    private String expect_salary_max;
    private String expect_job;
    private String expect_industry;
    private String living_address;
    private String living_address_norm;
    private String hukou_address_norm;
    private String hukou_address;
    private String hometown_address_norm;
    private String hometown_address;
    private String resume_type;
    private String resume_source;
    private String resume_integrity;
    private Date resume_parse_time;
    private String resume_name;
    private String avatar_data;
    private List<Education_objs> education_objs;
    private List<Job_exp_objs> job_exp_objs;
    private List<Proj_exp_objs> proj_exp_objs;
    private List<Training_objs> training_objs;
    private List<Cert_objs> cert_objs;
    private List<Lang_objs> lang_objs;
    private List<Skills_objs> skills_objs;
    private String cont_basic_info;
    private String cont_expect_job;
    private String cont_education;
    private String cont_job_exp;
    private String cont_proj_exp;
    private String cont_job_skill;
    private String raw_text;

}
